--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Match the record
- !ruby/struct:SM::Flow::P 
  body: "@param [Resource] record"
- !ruby/struct:SM::Flow::VERB 
  body: "  the resource to match\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [true]"
- !ruby/struct:SM::Flow::VERB 
  body: "  every record matches\n"
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Query::Conditions::NullOperation#matches?
is_singleton: false
name: matches?
params: (record)
visibility: public
